# ----------------------------------------------
# WMI-Abfragen per ADSI
# ----------------------------------------------

$ADDomain = [ADSI]""

$SuchKategorie = "computer"

$ADSearcher = New-Object DirectoryServices.DirectorySearcher
$ADSearcher.SearchRoot = $ADDomain
$ADSearcher.Filter = ("(objectCategory=$SuchKategorie)")

$PropListe = @("name")
[void]$ADSearcher.PropertiesToLoad.AddRange($PropListe)

$Ergebnisse = $ADSearcher.FindAll()

foreach ($Erg in $Ergebnisse)
{ 
    $ADComp = $Erg.Properties
    $Comp = $ADComp.name
    write-host "Prfe $Comp..."
    $Anzahl++
    $OS = get-wmiobject -class Win32_OperatingSystem -Computer $Comp -errorAction SilentlyContinue
    if ($OS.Version -eq "5.2.3790" -and $OS.CSDVersion -eq "Service Pack 1")
    {
       write-host -foregroundcolor blue "SP1 ist auf $Comp installiert"
     }
}
write-host -foregroundColor red "Fertig - $Anzahl Computer geprft."
